libzypp 17.37.10

zypp::misc::testcase::RepoDataImpl Struct Reference

`#include <zypp/misc/TestcaseSetupImpl.h>`

## Public Member Functions
RepoDataImpl * | clone () const

## Public Attributes
TestcaseRepoType | type
std::string | alias
uint | priority = 99
std::string | path

## Detailed Description

Definition at line 25 of file TestcaseSetupImpl.h.

## Member Function Documentation

## ◆ clone()

RepoDataImpl * zypp::misc::testcase::RepoDataImpl::clone | ( |  | ) | const
| inline

Definition at line 31 of file TestcaseSetupImpl.h.

## Member Data Documentation

## ◆ type

TestcaseRepoType zypp::misc::testcase::RepoDataImpl::type

Definition at line 26 of file TestcaseSetupImpl.h.

## ◆ alias

std::string zypp::misc::testcase::RepoDataImpl::alias

Definition at line 27 of file TestcaseSetupImpl.h.

## ◆ priority

uint zypp::misc::testcase::RepoDataImpl::priority = 99

Definition at line 28 of file TestcaseSetupImpl.h.

## ◆ path

std::string zypp::misc::testcase::RepoDataImpl::path

Definition at line 29 of file TestcaseSetupImpl.h.

The documentation for this struct was generated from the following file:

- zypp/misc/TestcaseSetupImpl.h